Package org.flowable.eventregistry.api

# Interface EventRepositoryService

public interface EventRepositoryService
Service providing access to the repository of forms.

Author:
  Tijs Rademakers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `changeDeploymentParentDeploymentId(String deploymentId, String newParentDeploymentId)`
  Changes the parent deployment id of a deployment.
  `ChannelDefinitionQuery`
  `createChannelDefinitionQuery()`
  `EventDeploymentBuilder`
  `createDeployment()`
  `EventDeploymentQuery`
  `createDeploymentQuery()`
  `EventDefinitionQuery`
  `createEventDefinitionQuery()`
  `EventModelBuilder`
  `createEventModelBuilder()`
  Programmatically build and register a new `EventModel`.
  `InboundChannelModelBuilder`
  `createInboundChannelModelBuilder()`
  `OutboundChannelModelBuilder`
  `createOutboundChannelModelBuilder()`
  `void`
  `deleteDeployment(String deploymentId)`
  `ChannelDefinition`
  `getChannelDefinition(String channelDefinitionId)`
  `InputStream`
  `getChannelDefinitionResource(String channelDefinitionId)`
  `org.flowable.eventregistry.model.ChannelModel`
  `getChannelModelById(String channelDefinitionId)`
  `org.flowable.eventregistry.model.ChannelModel`
  `getChannelModelByKey(String channelDefinitionKey)`
  `org.flowable.eventregistry.model.ChannelModel`
  `getChannelModelByKey(String channelDefinitionKey, String tenantId)`
  `org.flowable.eventregistry.model.ChannelModel`
  `getChannelModelByKeyAndParentDeploymentId(String channelDefinitionKey, String parentDeploymentId)`
  `org.flowable.eventregistry.model.ChannelModel`
  `getChannelModelByKeyAndParentDeploymentId(String channelDefinitionKey, String parentDeploymentId, String tenantId)`
  `List<String>`
  `getDeploymentResourceNames(String deploymentId)`
  `EventDefinition`
  `getEventDefinition(String eventDefinitionId)`
  `InputStream`
  `getEventDefinitionResource(String eventDefinitionId)`
  `org.flowable.eventregistry.model.EventModel`
  `getEventModelById(String eventDefinitionId)`
  `org.flowable.eventregistry.model.EventModel`
  `getEventModelByKey(String eventDefinitionKey)`
  `org.flowable.eventregistry.model.EventModel`
  `getEventModelByKey(String eventDefinitionKey, String tenantId)`
  `org.flowable.eventregistry.model.EventModel`
  `getEventModelByKeyAndParentDeploymentId(String eventDefinitionKey, String parentDeploymentId)`
  `org.flowable.eventregistry.model.EventModel`
  `getEventModelByKeyAndParentDeploymentId(String eventDefinitionKey, String parentDeploymentId, String tenantId)`
  `InputStream`
  `getResourceAsStream(String deploymentId, String resourceName)`
  `void`
  `setChannelDefinitionCategory(String channelDefinitionId, String category)`
  `void`
  `setDeploymentCategory(String deploymentId, String category)`
  Changes the category of a deployment.
  `void`
  `setDeploymentTenantId(String deploymentId, String newTenantId)`
  Changes the tenant id of a deployment.
  `void`
  `setEventDefinitionCategory(String eventDefinitionId, String category)`

- ## Method Details

  - ### createDeployment

    EventDeploymentBuilder createDeployment()

  - ### deleteDeployment

    void deleteDeployment(String deploymentId)

  - ### createEventDefinitionQuery

    EventDefinitionQuery createEventDefinitionQuery()

  - ### createChannelDefinitionQuery

    ChannelDefinitionQuery createChannelDefinitionQuery()

  - ### setDeploymentCategory

    void setDeploymentCategory(String deploymentId, String category)
    Changes the category of a deployment.
    Parameters:
      `deploymentId` - The id of the deployment of which the category will be changed.
      `category` - The new category.

  - ### setDeploymentTenantId

    void setDeploymentTenantId(String deploymentId, String newTenantId)
    Changes the tenant id of a deployment.
    Parameters:
      `deploymentId` - The id of the deployment of which the tenant identifier will be changed.
      `newTenantId` - The new tenant identifier.

  - ### changeDeploymentParentDeploymentId

    void changeDeploymentParentDeploymentId(String deploymentId, String newParentDeploymentId)
    Changes the parent deployment id of a deployment. This is used to move deployments to a different app deployment parent.
    Parameters:
      `deploymentId` - The id of the deployment of which the parent deployment identifier will be changed.
      `newParentDeploymentId` - The new parent deployment identifier.

  - ### getDeploymentResourceNames

    List<String> getDeploymentResourceNames(String deploymentId)

  - ### getResourceAsStream

    InputStream getResourceAsStream(String deploymentId, String resourceName)

  - ### createDeploymentQuery

    EventDeploymentQuery createDeploymentQuery()

  - ### getEventDefinition

    EventDefinition getEventDefinition(String eventDefinitionId)

  - ### getEventDefinitionResource

    InputStream getEventDefinitionResource(String eventDefinitionId)

  - ### setEventDefinitionCategory

    void setEventDefinitionCategory(String eventDefinitionId, String category)

  - ### getChannelDefinition

    ChannelDefinition getChannelDefinition(String channelDefinitionId)

  - ### getChannelDefinitionResource

    InputStream getChannelDefinitionResource(String channelDefinitionId)

  - ### setChannelDefinitionCategory

    void setChannelDefinitionCategory(String channelDefinitionId, String category)

  - ### getEventModelById

    org.flowable.eventregistry.model.EventModel getEventModelById(String eventDefinitionId)

  - ### getEventModelByKey

    org.flowable.eventregistry.model.EventModel getEventModelByKey(String eventDefinitionKey)

  - ### getEventModelByKey

    org.flowable.eventregistry.model.EventModel getEventModelByKey(String eventDefinitionKey, String tenantId)

  - ### getEventModelByKeyAndParentDeploymentId

    org.flowable.eventregistry.model.EventModel getEventModelByKeyAndParentDeploymentId(String eventDefinitionKey, String parentDeploymentId)

  - ### getEventModelByKeyAndParentDeploymentId

    org.flowable.eventregistry.model.EventModel getEventModelByKeyAndParentDeploymentId(String eventDefinitionKey, String parentDeploymentId, String tenantId)

  - ### getChannelModelById

    org.flowable.eventregistry.model.ChannelModel getChannelModelById(String channelDefinitionId)

  - ### getChannelModelByKey

    org.flowable.eventregistry.model.ChannelModel getChannelModelByKey(String channelDefinitionKey)

  - ### getChannelModelByKey

    org.flowable.eventregistry.model.ChannelModel getChannelModelByKey(String channelDefinitionKey, String tenantId)

  - ### getChannelModelByKeyAndParentDeploymentId

    org.flowable.eventregistry.model.ChannelModel getChannelModelByKeyAndParentDeploymentId(String channelDefinitionKey, String parentDeploymentId)

  - ### getChannelModelByKeyAndParentDeploymentId

    org.flowable.eventregistry.model.ChannelModel getChannelModelByKeyAndParentDeploymentId(String channelDefinitionKey, String parentDeploymentId, String tenantId)

  - ### createEventModelBuilder

    EventModelBuilder createEventModelBuilder()
    Programmatically build and register a new `EventModel`.

  - ### createInboundChannelModelBuilder

    InboundChannelModelBuilder createInboundChannelModelBuilder()

  - ### createOutboundChannelModelBuilder

    OutboundChannelModelBuilder createOutboundChannelModelBuilder()